NC 29 Warning "No App In Context"

im already install Official NC 29 and got this warning :

and this is error log :

{“reqId”:“pjDIA1Jv0NEYq8g2SnOu”,“level”:2,“time”:“2024-05-05T13:42:19+00:00”,“remoteAddr”:“192.168.1.9”,“user”:“–”,“app”:“no app in context”,“method”:“GET”,“url”:“/”,“message”:“Transaction took 3.2980780601501s”,“userAgent”:“Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/124.0.0.0 Safari/537.36”,“version”:“29.0.0.19”,“exception”:{“Exception”:“Exception”,“Message”:“Transaction took 3.2980780601501s”,“Code”:0,“Trace”:[{“file”:“/var/www/nextcloud/lib/private/DB/ConnectionAdapter.php”,“line”:154,“function”:“commit”,“class”:“OC\DB\Connection”,“type”:“->”},{“file”:“/var/www/nextcloud/lib/public/AppFramework/Db/TTransactional.php”,“line”:64,“function”:“commit”,“class”:“OC\DB\ConnectionAdapter”,“type”:“->”},{“file”:“/var/www/nextcloud/lib/private/Authentication/Token/PublicKeyTokenProvider.php”,“line”:274,“function”:“atomic”,“class”:“OC\Authentication\Token\PublicKeyTokenProvider”,“type”:“->”},{“file”:“/var/www/nextcloud/lib/private/Authentication/Token/Manager.php”,“line”:172,“function”:“renewSessionToken”,“class”:“OC\Authentication\Token\PublicKeyTokenProvider”,“type”:“->”},{“file”:“/var/www/nextcloud/lib/private/User/Session.php”,“line”:939,“function”:“renewSessionToken”,“class”:“OC\Authentication\Token\Manager”,“type”:“->”},{“file”:“/var/www/nextcloud/lib/base.php”,“line”:1132,“function”:“loginWithCookie”,“class”:“OC\User\Session”,“type”:“->”,“args”:[“*** sensitive parameters replaced ***”]},{“file”:“/var/www/nextcloud/lib/base.php”,“line”:1039,“function”:“handleLogin”,“class”:“OC”,“type”:“::”},{“file”:“/var/www/nextcloud/index.php”,“line”:49,“function”:“handleRequest”,“class”:“OC”,“type”:“::”}],“File”:“/var/www/nextcloud/lib/private/DB/Connection.php”,“Line”:691,“message”:“Transaction took 3.2980780601501s”,“exception”:{},“CustomMessage”:“Transaction took 3.2980780601501s”}}

Thanks for help …

1 Like

Same here. It’s driving me crazy. :sweat_smile:

Nextcloud Hub 8 (29.0.0)
PHP Version: 8.3.6
Operating System: Linux 5.15.0-105-generic x86_64
CPU: AMD EPYC 7543P 32-Core Processor (2 cores)
Memory: 7.75 GB

Running Ubuntu 22.04 on VPS.

OCC Status:

  • installed: true
  • version: 29.0.0.19
  • versionstring: 29.0.0
  • edition:
  • maintenance: false
  • needsDbUpgrade: false
  • productname: Nextcloud
  • extendedSupport: false

The issue started after I updated to version 29.

i was trying to fresh install, the issue still, but im try to install contact, mail, calendar, and edit redis host directory, now the issue is gone but i hope not coming back again :sweat_smile:

I think if you’d adjust your settings for protocol to error and fatal you won’t be bothered anymore by this warning.
I wouldn’t take it too severe (not to say you can ignore it)

Can you specify what you did on redis that solved the problem?

on config.php i was change the redis host to ‘/var/run/redis/redis-server.sock’,
on redis.conf i change too to ‘/var/run/redis/redis-server.sock’,

in confuse too, im new on this stuff, what did u mean by setting for protocol ?

I will check that, thanks!

login to your admin-account, go to
https://your.URL.here/settings/admin/logging

and click the settings-wheel in upper right corner.
uncheck everything except for error and fatal - and you’re done

Not very helpful to just ignore warnings. NC 29 is FULL of broken stuff and just ignoring it leads to issues that never get fixed in the future.

@ninjazan420 thanks for registering here and letting me know about your thoughts.
That indeed was really helpful.

1 Like